=== modified file 'plugin/logging_noop/Makefile.am'
--- plugin/logging_noop/Makefile.am	2008-09-12 02:05:59 +0000
+++ plugin/logging_noop/Makefile.am	2008-10-03 00:19:31 +0000
@@ -6,8 +6,8 @@
 MYSQLLIBdir=            $(pkglibdir)
 pkgplugindir =		$(pkglibdir)/plugin
 
-EXTRA_LTLIBRARIES =	liblogging_noop.la
-pkgplugin_LTLIBRARIES =	@plugin_logging_noop_shared_target@
-liblogging_noop_la_LDFLAGS =	-module -rpath $(pkgplugindir)
-liblogging_noop_la_CPPFLAGS=	$(GLOBAL_CPPFLAGS) -DDRIZZLE_DYNAMIC_PLUGIN
-liblogging_noop_la_SOURCES =	logging_noop.cc
+EXTRA_LTLIBRARIES =	liblogging_query.la
+pkgplugin_LTLIBRARIES =	@plugin_logging_query_shared_target@
+liblogging_query_la_LDFLAGS =	-module -rpath $(pkgplugindir)
+liblogging_query_la_CPPFLAGS=	$(GLOBAL_CPPFLAGS) -DDRIZZLE_DYNAMIC_PLUGIN
+liblogging_query_la_SOURCES =	logging_query.cc

=== modified file 'plugin/logging_noop/configure.in'
--- plugin/logging_noop/configure.in	2008-09-12 02:05:59 +0000
+++ plugin/logging_noop/configure.in	2008-10-03 00:19:31 +0000
@@ -1,4 +1,4 @@
-AC_INIT(logging_noop, 0.1)
+AC_INIT(logging_query, 0.1)
 AM_INIT_AUTOMAKE
 AC_DISABLE_STATIC
 AC_PROG_LIBTOOL

=== modified file 'plugin/logging_noop/logging_noop.cc'
--- plugin/logging_noop/logging_noop.cc	2008-10-02 20:56:30 +0000
+++ plugin/logging_noop/logging_noop.cc	2008-10-03 00:19:31 +0000
@@ -1,4 +1,4 @@
-/* drizzle/plugin/logging_noop/logging_noop.cc */
+/* drizzle/plugin/logging_query/logging_query.cc */
 
 /* need to define DRIZZLE_SERVER to get inside the THD */
 #define DRIZZLE_SERVER 1
@@ -36,7 +36,7 @@
 };
 
 
-bool logging_noop_func_pre (THD *thd)
+bool logging_query_func_pre (THD *thd)
 {
   char msgbuf[MAX_MSG_LEN];
   int msgbuf_len = 0;
@@ -60,7 +60,7 @@
   return false;
 }
 
-bool logging_noop_func_post (THD *thd)
+bool logging_query_func_post (THD *thd)
 {
   char msgbuf[MAX_MSG_LEN];
   int msgbuf_len = 0;
@@ -88,12 +88,12 @@
   return false;
 }
 
-static int logging_noop_plugin_init(void *p)
+static int logging_query_plugin_init(void *p)
 {
   logging_t *l= (logging_t *) p;
 
-  l->logging_pre= logging_noop_func_pre;
-  l->logging_post= logging_noop_func_post;
+  l->logging_pre= logging_query_func_pre;
+  l->logging_post= logging_query_func_post;
 
   fd= open("/tmp/drizzle.log", O_WRONLY | O_APPEND);
   if (fd < 0) {
@@ -108,7 +108,7 @@
   return 0;
 }
 
-static int logging_noop_plugin_deinit(void *p)
+static int logging_query_plugin_deinit(void *p)
 {
   logging_st *l= (logging_st *) p;
 
@@ -120,16 +120,16 @@
   return 0;
 }
 
-mysql_declare_plugin(logging_noop)
+mysql_declare_plugin(logging_query)
 {
   DRIZZLE_LOGGER_PLUGIN,
-  "logging_noop",
+  "logging_query",
   "0.1",
   "Mark Atwood <mark@fallenpegasus.com>",
-  "Logging Plugin Example",
+  "Log queries",
   PLUGIN_LICENSE_GPL,
-  logging_noop_plugin_init,
-  logging_noop_plugin_deinit,
+  logging_query_plugin_init,
+  logging_query_plugin_deinit,
   NULL,   /* status variables */
   NULL,   /* system variables */
   NULL    /* config options */

=== modified file 'plugin/logging_noop/plug.in'
--- plugin/logging_noop/plug.in	2008-09-12 02:05:59 +0000
+++ plugin/logging_noop/plug.in	2008-10-03 00:19:31 +0000
@@ -1,3 +1,3 @@
-DRIZZLE_PLUGIN(logging_noop,[Example Logging Plugin],
-        [Logging Plugin that does nothing.])
-DRIZZLE_PLUGIN_DYNAMIC(logging_noop, [liblogging_noop.la])
+DRIZZLE_PLUGIN(logging_query,[Query Logging Plugin],
+        [Logging Plugin that logs all queries.])
+DRIZZLE_PLUGIN_DYNAMIC(logging_query, [liblogging_query.la])

